"{ Package: 'stx:goodies/sunit' }"

Exception subclass:#TestFailure
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SUnit-Preload'
!

!TestFailure class methodsFor:'documentation'!

documentation
"
    'TestFailure is raised when the boolean parameter of an assert: ... or deny: ... call is the opposite of what the assertion claims.


"
! !

!TestFailure methodsFor:'Camp Smalltalk'!

sunitAnnounce: aTestCase toResult: aTestResult
	aTestResult addFailure: aTestCase.
	self sunitExitWith: false.
! !

!TestFailure methodsFor:'handling'!

handleFailureWith:something
    "non-resumable test failure. Abort the test suite"

    ^ self returnWith:something
! !

!TestFailure class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/sunit/TestFailure.st,v 1.6 2011-06-29 19:15:49 cg Exp $'
!

version_SVN
    ^ 'Id: TestFailure.st 204 2010-09-11 15:21:51Z vranyj1 '
! !
